package com.cirle.scientific.service;

import com.cirle.scientific.dto.HomeDataDTO;
import com.cirle.scientific.dto.QkjPeopleCounDTO;
import com.cirle.scientific.pojo.Result;

import javax.servlet.http.HttpServletRequest;


public interface HomeService {
	
	Result<HomeDataDTO> getHomeData(String memCard, Integer status);
	Result<HomeDataDTO> getHomeData(String memCard);

    String search(String searchKw, int start, int size);

	/**
	 * 统计在线以及注册人数
	 * @return
	 */
	QkjPeopleCounDTO peopleCount(HttpServletRequest request);
}
